import{s as Hr,o as Vr,n as Jn}from"../chunks/scheduler.9f522b10.js";import{S as Ar,i as Sr,g as t,s as r,u as $,A as Gr,h as n,f as p,c as o,j as m,v,y as l,k as u,o as e,a as P,w as _,d as x,t as k,x as w}from"../chunks/index.5571e834.js";import{T as jr}from"../chunks/Tip.ebef7370.js";import{D as T}from"../chunks/Docstring.859afbbc.js";import{I as Ir}from"../chunks/IconCopyLink.e54cecc4.js";import{T as Nr,M as Un}from"../chunks/TokenizersLanguageContent.faeb29b7.js";function Wr(y){let s,h=`This is deprecated and will be removed in a future version.
Please use <code>~tokenizers.Encoding.word_ids</code> instead.`;return{c(){s=t("p"),s.innerHTML=h},l(i){s=n(i,"P",{"data-svelte-h":!0}),l(s)!=="svelte-1tdbt0g"&&(s.innerHTML=h)},m(i,g){P(i,s,g)},p:Jn,d(i){i&&p(s)}}}function Or(y){let s,h,i,g,b,z,Z="Encoding",L,d,q,Le,V,A='The <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a> represents the output of a <a href="/docs/tokenizers/main/en/api/tokenizer#tokenizers.Tokenizer">Tokenizer</a>.',ee,E,M,f,C,G="The attention mask",Me,Y,Bn=`This indicates to the LM which tokens should be attended to, and which should not.
This is especially important when batching sequences, where we need to applying
padding.`,Gt,j,pe,jt,Ie,Kn="The generated IDs",Nt,He,Qn=`The IDs are the main input to a Language Model. They are the token indices,
the numerical representations that a LM understands.`,Wt,te,he,Ot,Ve,Xn="The number of sequences represented",Rt,N,ge,Ft,Ae,Yn="The offsets associated to each token",Jt,Se,Zn=`These offsets let’s you slice the input string, and thus retrieve the original
part that led to producing the corresponding token.`,Ut,I,ue,Bt,Ge,er='A <code>List</code> of overflowing <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a>',Kt,je,tr=`When using truncation, the <a href="/docs/tokenizers/main/en/api/tokenizer#tokenizers.Tokenizer">Tokenizer</a> takes care of splitting
the output into as many pieces as required to match the specified maximum length.
This field lets you retrieve all the subsequent pieces.`,Qt,Ne,nr=`When you use pairs of sequences, the overflowing pieces will contain enough
variations to cover all the possible combinations, while respecting the provided
maximum length.`,Xt,W,fe,Yt,We,rr="The generated sequence indices.",Zt,Oe,or=`They represent the index of the input sequence associated to each token.
The sequence id can be None if the token is not related to any input sequence,
like for example with special tokens.`,en,O,me,tn,Re,sr="The special token mask",nn,Fe,ir="This indicates which tokens are special tokens, and which are not.",rn,R,$e,on,Je,ar="The generated tokens",sn,Ue,dr="They are the string representation of the IDs.",an,F,ve,dn,Be,cr="The generated type IDs",cn,Ke,lr=`Generally used for tasks like sequence classification or question answering,
these tokens let the LM know which input sequence corresponds to each tokens.`,ln,H,_e,pn,Qe,pr="The generated word indices.",hn,Xe,hr=`They represent the index of the word associated to each token.
When the input is pre-tokenized, they correspond to the ID of the given input label,
otherwise they correspond to the words indices as defined by the
<a href="/docs/tokenizers/main/en/api/pre-tokenizers#tokenizers.pre_tokenizers.PreTokenizer">PreTokenizer</a> that was used.`,gn,Ye,gr=`For special tokens and such (any token that was generated from something that was
not part of the input), the output is <code>None</code>`,un,D,xe,fn,Ze,ur="The generated word indices.",mn,ne,$n,et,fr=`They represent the index of the word associated to each token.
When the input is pre-tokenized, they correspond to the ID of the given input label,
otherwise they correspond to the words indices as defined by the
<a href="/docs/tokenizers/main/en/api/pre-tokenizers#tokenizers.pre_tokenizers.PreTokenizer">PreTokenizer</a> that was used.`,vn,tt,mr=`For special tokens and such (any token that was generated from something that was
not part of the input), the output is <code>None</code>`,_n,re,ke,xn,nt,$r="Get the token that contains the char at the given position in the input sequence.",kn,oe,we,wn,rt,vr="Get the word that contains the char at the given position in the input sequence.",Tn,se,Te,bn,ot,_r='Merge the list of encodings into one final <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a>',Cn,ie,be,En,st,xr='Pad the <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a> at the given length',zn,J,Ce,yn,it,kr="Set the given sequence index",qn,at,wr=`Set the given sequence index for the whole range of tokens contained in this
<a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a>.`,Dn,U,Ee,Pn,dt,Tr="Get the offsets of the token at the given index.",Ln,ct,br=`The returned offsets are related to the input sequence that contains the
token.  In order to determine in which input sequence it belongs, you
must call <code>~tokenizers.Encoding.token_to_sequence()</code>.`,Mn,B,ze,In,lt,Cr="Get the index of the sequence represented by the given token.",Hn,pt,Er=`In the general use case, this method returns <code>0</code> for a single sequence or
the first sequence of a pair, and <code>1</code> for the second sequence of a pair`,Vn,K,ye,An,ht,zr="Get the index of the word that contains the token in one of the input sequences.",Sn,gt,yr=`The returned word index is related to the input sequence that contains
the token.  In order to determine in which input sequence it belongs, you
must call <code>~tokenizers.Encoding.token_to_sequence()</code>.`,Gn,Q,qe,jn,ut,qr='Truncate the <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a> at the given length',Nn,ft,Dr=`If this <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a> represents multiple sequences, when truncating
this information is lost. It will be considered as representing a single sequence.`,Wn,ae,De,On,mt,Pr="Get the offsets of the word at the given index in one of the input sequences.",Rn,de,Pe,Fn,$t,Lr=`Get the encoded tokens corresponding to the word at the given index
in one of the input sequences.`,Pt;return g=new Ir({}),q=new T({props:{name:"class tokenizers.Encoding",anchor:"tokenizers.Encoding",parameters:""}}),M=new T({props:{name:"attention_mask",anchor:"tokenizers.Encoding.attention_mask",parameters:[],returnDescription:`
<p>The attention mask</p>
`,returnType:`
<p><code>List[int]</code></p>
`,isGetSetDescriptor:!0}}),pe=new T({props:{name:"ids",anchor:"tokenizers.Encoding.ids",parameters:[],returnDescription:`
<p>The list of IDs</p>
`,returnType:`
<p><code>List[int]</code></p>
`,isGetSetDescriptor:!0}}),he=new T({props:{name:"n_sequences",anchor:"tokenizers.Encoding.n_sequences",parameters:[],returnDescription:`
<p>The number of sequences in this <a
  href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding"
>Encoding</a></p>
`,returnType:`
<p><code>int</code></p>
`,isGetSetDescriptor:!0}}),ge=new T({props:{name:"offsets",anchor:"tokenizers.Encoding.offsets",parameters:[],returnDescription:`
<p>The list of offsets</p>
`,returnType:`
<p>A <code>List</code> of <code>Tuple[int, int]</code></p>
`,isGetSetDescriptor:!0}}),ue=new T({props:{name:"overflowing",anchor:"tokenizers.Encoding.overflowing",parameters:[],isGetSetDescriptor:!0}}),fe=new T({props:{name:"sequence_ids",anchor:"tokenizers.Encoding.sequence_ids",parameters:[],returnDescription:`
<p>A list of optional sequence index.</p>
`,returnType:`
<p>A <code>List</code> of <code>Optional[int]</code></p>
`,isGetSetDescriptor:!0}}),me=new T({props:{name:"special_tokens_mask",anchor:"tokenizers.Encoding.special_tokens_mask",parameters:[],returnDescription:`
<p>The special tokens mask</p>
`,returnType:`
<p><code>List[int]</code></p>
`,isGetSetDescriptor:!0}}),$e=new T({props:{name:"tokens",anchor:"tokenizers.Encoding.tokens",parameters:[],returnDescription:`
<p>The list of tokens</p>
`,returnType:`
<p><code>List[str]</code></p>
`,isGetSetDescriptor:!0}}),ve=new T({props:{name:"type_ids",anchor:"tokenizers.Encoding.type_ids",parameters:[],returnDescription:`
<p>The list of type ids</p>
`,returnType:`
<p><code>List[int]</code></p>
`,isGetSetDescriptor:!0}}),_e=new T({props:{name:"word_ids",anchor:"tokenizers.Encoding.word_ids",parameters:[],returnDescription:`
<p>A list of optional word index.</p>
`,returnType:`
<p>A <code>List</code> of <code>Optional[int]</code></p>
`,isGetSetDescriptor:!0}}),xe=new T({props:{name:"words",anchor:"tokenizers.Encoding.words",parameters:[],returnDescription:`
<p>A list of optional word index.</p>
`,returnType:`
<p>A <code>List</code> of <code>Optional[int]</code></p>
`,isGetSetDescriptor:!0}}),ne=new jr({props:{warning:!0,$$slots:{default:[Wr]},$$scope:{ctx:y}}}),ke=new T({props:{name:"char_to_token",anchor:"tokenizers.Encoding.char_to_token",parameters:[{name:"char_pos",val:""},{name:"sequence_index",val:" = 0"}],parametersDescription:[{anchor:"tokenizers.Encoding.char_to_token.char_pos",description:`<strong>char_pos</strong> (<code>int</code>) &#x2014;
The position of a char in the input string`,name:"char_pos"},{anchor:"tokenizers.Encoding.char_to_token.sequence_index",description:`<strong>sequence_index</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The index of the sequence that contains the target char`,name:"sequence_index"}],returnDescription:`
<p>The index of the token that contains this char in the encoded sequence</p>
`,returnType:`
<p><code>int</code></p>
`}}),we=new T({props:{name:"char_to_word",anchor:"tokenizers.Encoding.char_to_word",parameters:[{name:"char_pos",val:""},{name:"sequence_index",val:" = 0"}],parametersDescription:[{anchor:"tokenizers.Encoding.char_to_word.char_pos",description:`<strong>char_pos</strong> (<code>int</code>) &#x2014;
The position of a char in the input string`,name:"char_pos"},{anchor:"tokenizers.Encoding.char_to_word.sequence_index",description:`<strong>sequence_index</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The index of the sequence that contains the target char`,name:"sequence_index"}],returnDescription:`
<p>The index of the word that contains this char in the input sequence</p>
`,returnType:`
<p><code>int</code></p>
`}}),Te=new T({props:{name:"merge",anchor:"tokenizers.Encoding.merge",parameters:[{name:"encodings",val:""},{name:"growing_offsets",val:" = True"}],parametersDescription:[{anchor:"tokenizers.Encoding.merge.encodings",description:`<strong>encodings</strong> (A <code>List</code> of <a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a>) &#x2014;
The list of encodings that should be merged in one`,name:"encodings"},{anchor:"tokenizers.Encoding.merge.growing_offsets",description:`<strong>growing_offsets</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether the offsets should accumulate while merging`,name:"growing_offsets"}],returnDescription:`
<p>The resulting Encoding</p>
`,returnType:`
<p><a href="/docs/tokenizers/main/en/api/encoding#tokenizers.Encoding">Encoding</a></p>
`}}),be=new T({props:{name:"pad",anchor:"tokenizers.Encoding.pad",parameters:[{name:"length",val:""},{name:"direction",val:" = 'right'"},{name:"pad_id",val:" = 0"},{name:"pad_type_id",val:" = 0"},{name:"pad_token",val:" = '[PAD]'"}],parametersDescription:[{anchor:"tokenizers.Encoding.pad.length",description:`<strong>length</strong> (<code>int</code>) &#x2014;
The desired length</p>
<p>direction &#x2014; (<code>str</code>, defaults to <code>right</code>):
The expected padding direction. Can be either <code>right</code> or <code>left</code>`,name:"length"},{anchor:"tokenizers.Encoding.pad.pad_id",description:`<strong>pad_id</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The ID corresponding to the padding token`,name:"pad_id"},{anchor:"tokenizers.Encoding.pad.pad_type_id",description:`<strong>pad_type_id</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The type ID corresponding to the padding token`,name:"pad_type_id"},{anchor:"tokenizers.Encoding.pad.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, defaults to <em>[PAD]</em>) &#x2014;
The pad token to use`,name:"pad_token"}]}}),Ce=new T({props:{name:"set_sequence_id",anchor:"tokenizers.Encoding.set_sequence_id",parameters:[{name:"sequence_id",val:""}]}}),Ee=new T({props:{name:"token_to_chars",anchor:"tokenizers.Encoding.token_to_chars",parameters:[{name:"token_index",val:""}],parametersDescription:[{anchor:"tokenizers.Encoding.token_to_chars.token_index",description:`<strong>token_index</strong> (<code>int</code>) &#x2014;
The index of a token in the encoded sequence.`,name:"token_index"}],returnDescription:`
<p>The token offsets <code>(first, last + 1)</code></p>
`,returnType:`
<p><code>Tuple[int, int]</code></p>
`}}),ze=new T({props:{name:"token_to_sequence",anchor:"tokenizers.Encoding.token_to_sequence",parameters:[{name:"token_index",val:""}],parametersDescription:[{anchor:"tokenizers.Encoding.token_to_sequence.token_index",description:`<strong>token_index</strong> (<code>int</code>) &#x2014;
The index of a token in the encoded sequence.`,name:"token_index"}],returnDescription:`
<p>The sequence id of the given token</p>
`,returnType:`
<p><code>int</code></p>
`}}),ye=new T({props:{name:"token_to_word",anchor:"tokenizers.Encoding.token_to_word",parameters:[{name:"token_index",val:""}],parametersDescription:[{anchor:"tokenizers.Encoding.token_to_word.token_index",description:`<strong>token_index</strong> (<code>int</code>) &#x2014;
The index of a token in the encoded sequence.`,name:"token_index"}],returnDescription:`
<p>The index of the word in the relevant input sequence.</p>
`,returnType:`
<p><code>int</code></p>
`}}),qe=new T({props:{name:"truncate",anchor:"tokenizers.Encoding.truncate",parameters:[{name:"max_length",val:""},{name:"stride",val:" = 0"},{name:"direction",val:" = 'right'"}],parametersDescription:[{anchor:"tokenizers.Encoding.truncate.max_length",description:`<strong>max_length</strong> (<code>int</code>) &#x2014;
The desired length`,name:"max_length"},{anchor:"tokenizers.Encoding.truncate.stride",description:`<strong>stride</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The length of previous content to be included in each overflowing piece`,name:"stride"},{anchor:"tokenizers.Encoding.truncate.direction",description:`<strong>direction</strong> (<code>str</code>, defaults to <code>right</code>) &#x2014;
Truncate direction`,name:"direction"}]}}),De=new T({props:{name:"word_to_chars",anchor:"tokenizers.Encoding.word_to_chars",parameters:[{name:"word_index",val:""},{name:"sequence_index",val:" = 0"}],parametersDescription:[{anchor:"tokenizers.Encoding.word_to_chars.word_index",description:`<strong>word_index</strong> (<code>int</code>) &#x2014;
The index of a word in one of the input sequences.`,name:"word_index"},{anchor:"tokenizers.Encoding.word_to_chars.sequence_index",description:`<strong>sequence_index</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The index of the sequence that contains the target word`,name:"sequence_index"}],returnDescription:`
<p>The range of characters (span) <code>(first, last + 1)</code></p>
`,returnType:`
<p><code>Tuple[int, int]</code></p>
`}}),Pe=new T({props:{name:"word_to_tokens",anchor:"tokenizers.Encoding.word_to_tokens",parameters:[{name:"word_index",val:""},{name:"sequence_index",val:" = 0"}],parametersDescription:[{anchor:"tokenizers.Encoding.word_to_tokens.word_index",description:`<strong>word_index</strong> (<code>int</code>) &#x2014;
The index of a word in one of the input sequences.`,name:"word_index"},{anchor:"tokenizers.Encoding.word_to_tokens.sequence_index",description:`<strong>sequence_index</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
The index of the sequence that contains the target word`,name:"sequence_index"}],returnDescription:`
<p>The range of tokens: <code>(first, last + 1)</code></p>
`,returnType:`
<p><code>Tuple[int, int]</code></p>
`}}),{c(){s=t("h2"),h=t("a"),i=t("span"),$(g.$$.fragment),b=r(),z=t("span"),z.textContent=Z,L=r(),d=t("div"),$(q.$$.fragment),Le=r(),V=t("p"),V.innerHTML=A,ee=r(),E=t("div"),$(M.$$.fragment),f=r(),C=t("p"),C.textContent=G,Me=r(),Y=t("p"),Y.textContent=Bn,Gt=r(),j=t("div"),$(pe.$$.fragment),jt=r(),Ie=t("p"),Ie.textContent=Kn,Nt=r(),He=t("p"),He.textContent=Qn,Wt=r(),te=t("div"),$(he.$$.fragment),Ot=r(),Ve=t("p"),Ve.textContent=Xn,Rt=r(),N=t("div"),$(ge.$$.fragment),Ft=r(),Ae=t("p"),Ae.textContent=Yn,Jt=r(),Se=t("p"),Se.textContent=Zn,Ut=r(),I=t("div"),$(ue.$$.fragment),Bt=r(),Ge=t("p"),Ge.innerHTML=er,Kt=r(),je=t("p"),je.innerHTML=tr,Qt=r(),Ne=t("p"),Ne.textContent=nr,Xt=r(),W=t("div"),$(fe.$$.fragment),Yt=r(),We=t("p"),We.textContent=rr,Zt=r(),Oe=t("p"),Oe.textContent=or,en=r(),O=t("div"),$(me.$$.fragment),tn=r(),Re=t("p"),Re.textContent=sr,nn=r(),Fe=t("p"),Fe.textContent=ir,rn=r(),R=t("div"),$($e.$$.fragment),on=r(),Je=t("p"),Je.textContent=ar,sn=r(),Ue=t("p"),Ue.textContent=dr,an=r(),F=t("div"),$(ve.$$.fragment),dn=r(),Be=t("p"),Be.textContent=cr,cn=r(),Ke=t("p"),Ke.textContent=lr,ln=r(),H=t("div"),$(_e.$$.fragment),pn=r(),Qe=t("p"),Qe.textContent=pr,hn=r(),Xe=t("p"),Xe.innerHTML=hr,gn=r(),Ye=t("p"),Ye.innerHTML=gr,un=r(),D=t("div"),$(xe.$$.fragment),fn=r(),Ze=t("p"),Ze.textContent=ur,mn=r(),$(ne.$$.fragment),$n=r(),et=t("p"),et.innerHTML=fr,vn=r(),tt=t("p"),tt.innerHTML=mr,_n=r(),re=t("div"),$(ke.$$.fragment),xn=r(),nt=t("p"),nt.textContent=$r,kn=r(),oe=t("div"),$(we.$$.fragment),wn=r(),rt=t("p"),rt.textContent=vr,Tn=r(),se=t("div"),$(Te.$$.fragment),bn=r(),ot=t("p"),ot.innerHTML=_r,Cn=r(),ie=t("div"),$(be.$$.fragment),En=r(),st=t("p"),st.innerHTML=xr,zn=r(),J=t("div"),$(Ce.$$.fragment),yn=r(),it=t("p"),it.textContent=kr,qn=r(),at=t("p"),at.innerHTML=wr,Dn=r(),U=t("div"),$(Ee.$$.fragment),Pn=r(),dt=t("p"),dt.textContent=Tr,Ln=r(),ct=t("p"),ct.innerHTML=br,Mn=r(),B=t("div"),$(ze.$$.fragment),In=r(),lt=t("p"),lt.textContent=Cr,Hn=r(),pt=t("p"),pt.innerHTML=Er,Vn=r(),K=t("div"),$(ye.$$.fragment),An=r(),ht=t("p"),ht.textContent=zr,Sn=r(),gt=t("p"),gt.innerHTML=yr,Gn=r(),Q=t("div"),$(qe.$$.fragment),jn=r(),ut=t("p"),ut.innerHTML=qr,Nn=r(),ft=t("p"),ft.innerHTML=Dr,Wn=r(),ae=t("div"),$(De.$$.fragment),On=r(),mt=t("p"),mt.textContent=Pr,Rn=r(),de=t("div"),$(Pe.$$.fragment),Fn=r(),$t=t("p"),$t.textContent=Lr,this.h()},l(a){s=n(a,"H2",{class:!0});var S=m(s);h=n(S,"A",{id:!0,class:!0,href:!0});var Dt=m(h);i=n(Dt,"SPAN",{});var Mr=m(i);v(g.$$.fragment,Mr),Mr.forEach(p),Dt.forEach(p),b=o(S),z=n(S,"SPAN",{"data-svelte-h":!0}),l(z)!=="svelte-g660ce"&&(z.textContent=Z),S.forEach(p),L=o(a),d=n(a,"DIV",{class:!0});var c=m(d);v(q.$$.fragment,c),Le=o(c),V=n(c,"P",{"data-svelte-h":!0}),l(V)!=="svelte-f2kahe"&&(V.innerHTML=A),ee=o(c),E=n(c,"DIV",{class:!0});var vt=m(E);v(M.$$.fragment,vt),f=o(vt),C=n(vt,"P",{"data-svelte-h":!0}),l(C)!=="svelte-nafsul"&&(C.textContent=G),Me=o(vt),Y=n(vt,"P",{"data-svelte-h":!0}),l(Y)!=="svelte-2cl9fs"&&(Y.textContent=Bn),vt.forEach(p),Gt=o(c),j=n(c,"DIV",{class:!0});var _t=m(j);v(pe.$$.fragment,_t),jt=o(_t),Ie=n(_t,"P",{"data-svelte-h":!0}),l(Ie)!=="svelte-13hu4qs"&&(Ie.textContent=Kn),Nt=o(_t),He=n(_t,"P",{"data-svelte-h":!0}),l(He)!=="svelte-3xucbe"&&(He.textContent=Qn),_t.forEach(p),Wt=o(c),te=n(c,"DIV",{class:!0});var Lt=m(te);v(he.$$.fragment,Lt),Ot=o(Lt),Ve=n(Lt,"P",{"data-svelte-h":!0}),l(Ve)!=="svelte-128n7bm"&&(Ve.textContent=Xn),Lt.forEach(p),Rt=o(c),N=n(c,"DIV",{class:!0});var xt=m(N);v(ge.$$.fragment,xt),Ft=o(xt),Ae=n(xt,"P",{"data-svelte-h":!0}),l(Ae)!=="svelte-1jccc0s"&&(Ae.textContent=Yn),Jt=o(xt),Se=n(xt,"P",{"data-svelte-h":!0}),l(Se)!=="svelte-rqkny6"&&(Se.textContent=Zn),xt.forEach(p),Ut=o(c),I=n(c,"DIV",{class:!0});var ce=m(I);v(ue.$$.fragment,ce),Bt=o(ce),Ge=n(ce,"P",{"data-svelte-h":!0}),l(Ge)!=="svelte-105elxx"&&(Ge.innerHTML=er),Kt=o(ce),je=n(ce,"P",{"data-svelte-h":!0}),l(je)!=="svelte-c1ygzh"&&(je.innerHTML=tr),Qt=o(ce),Ne=n(ce,"P",{"data-svelte-h":!0}),l(Ne)!=="svelte-77thau"&&(Ne.textContent=nr),ce.forEach(p),Xt=o(c),W=n(c,"DIV",{class:!0});var kt=m(W);v(fe.$$.fragment,kt),Yt=o(kt),We=n(kt,"P",{"data-svelte-h":!0}),l(We)!=="svelte-olyk0g"&&(We.textContent=rr),Zt=o(kt),Oe=n(kt,"P",{"data-svelte-h":!0}),l(Oe)!=="svelte-1w4yrxp"&&(Oe.textContent=or),kt.forEach(p),en=o(c),O=n(c,"DIV",{class:!0});var wt=m(O);v(me.$$.fragment,wt),tn=o(wt),Re=n(wt,"P",{"data-svelte-h":!0}),l(Re)!=="svelte-1kqf199"&&(Re.textContent=sr),nn=o(wt),Fe=n(wt,"P",{"data-svelte-h":!0}),l(Fe)!=="svelte-1vxwt8f"&&(Fe.textContent=ir),wt.forEach(p),rn=o(c),R=n(c,"DIV",{class:!0});var Tt=m(R);v($e.$$.fragment,Tt),on=o(Tt),Je=n(Tt,"P",{"data-svelte-h":!0}),l(Je)!=="svelte-10jm6aw"&&(Je.textContent=ar),sn=o(Tt),Ue=n(Tt,"P",{"data-svelte-h":!0}),l(Ue)!=="svelte-d380jx"&&(Ue.textContent=dr),Tt.forEach(p),an=o(c),F=n(c,"DIV",{class:!0});var bt=m(F);v(ve.$$.fragment,bt),dn=o(bt),Be=n(bt,"P",{"data-svelte-h":!0}),l(Be)!=="svelte-1q6qddw"&&(Be.textContent=cr),cn=o(bt),Ke=n(bt,"P",{"data-svelte-h":!0}),l(Ke)!=="svelte-r57n1l"&&(Ke.textContent=lr),bt.forEach(p),ln=o(c),H=n(c,"DIV",{class:!0});var le=m(H);v(_e.$$.fragment,le),pn=o(le),Qe=n(le,"P",{"data-svelte-h":!0}),l(Qe)!=="svelte-7pgnnj"&&(Qe.textContent=pr),hn=o(le),Xe=n(le,"P",{"data-svelte-h":!0}),l(Xe)!=="svelte-v2kvzn"&&(Xe.innerHTML=hr),gn=o(le),Ye=n(le,"P",{"data-svelte-h":!0}),l(Ye)!=="svelte-o7jdc6"&&(Ye.innerHTML=gr),le.forEach(p),un=o(c),D=n(c,"DIV",{class:!0});var X=m(D);v(xe.$$.fragment,X),fn=o(X),Ze=n(X,"P",{"data-svelte-h":!0}),l(Ze)!=="svelte-7pgnnj"&&(Ze.textContent=ur),mn=o(X),v(ne.$$.fragment,X),$n=o(X),et=n(X,"P",{"data-svelte-h":!0}),l(et)!=="svelte-v2kvzn"&&(et.innerHTML=fr),vn=o(X),tt=n(X,"P",{"data-svelte-h":!0}),l(tt)!=="svelte-o7jdc6"&&(tt.innerHTML=mr),X.forEach(p),_n=o(c),re=n(c,"DIV",{class:!0});var Mt=m(re);v(ke.$$.fragment,Mt),xn=o(Mt),nt=n(Mt,"P",{"data-svelte-h":!0}),l(nt)!=="svelte-1ffrb0"&&(nt.textContent=$r),Mt.forEach(p),kn=o(c),oe=n(c,"DIV",{class:!0});var It=m(oe);v(we.$$.fragment,It),wn=o(It),rt=n(It,"P",{"data-svelte-h":!0}),l(rt)!=="svelte-1ykgp61"&&(rt.textContent=vr),It.forEach(p),Tn=o(c),se=n(c,"DIV",{class:!0});var Ht=m(se);v(Te.$$.fragment,Ht),bn=o(Ht),ot=n(Ht,"P",{"data-svelte-h":!0}),l(ot)!=="svelte-8vierk"&&(ot.innerHTML=_r),Ht.forEach(p),Cn=o(c),ie=n(c,"DIV",{class:!0});var Vt=m(ie);v(be.$$.fragment,Vt),En=o(Vt),st=n(Vt,"P",{"data-svelte-h":!0}),l(st)!=="svelte-1fuz43x"&&(st.innerHTML=xr),Vt.forEach(p),zn=o(c),J=n(c,"DIV",{class:!0});var Ct=m(J);v(Ce.$$.fragment,Ct),yn=o(Ct),it=n(Ct,"P",{"data-svelte-h":!0}),l(it)!=="svelte-1k2furt"&&(it.textContent=kr),qn=o(Ct),at=n(Ct,"P",{"data-svelte-h":!0}),l(at)!=="svelte-1rri1q2"&&(at.innerHTML=wr),Ct.forEach(p),Dn=o(c),U=n(c,"DIV",{class:!0});var Et=m(U);v(Ee.$$.fragment,Et),Pn=o(Et),dt=n(Et,"P",{"data-svelte-h":!0}),l(dt)!=="svelte-1ax7nb7"&&(dt.textContent=Tr),Ln=o(Et),ct=n(Et,"P",{"data-svelte-h":!0}),l(ct)!=="svelte-rntbkv"&&(ct.innerHTML=br),Et.forEach(p),Mn=o(c),B=n(c,"DIV",{class:!0});var zt=m(B);v(ze.$$.fragment,zt),In=o(zt),lt=n(zt,"P",{"data-svelte-h":!0}),l(lt)!=="svelte-gsdag5"&&(lt.textContent=Cr),Hn=o(zt),pt=n(zt,"P",{"data-svelte-h":!0}),l(pt)!=="svelte-s4bu5e"&&(pt.innerHTML=Er),zt.forEach(p),Vn=o(c),K=n(c,"DIV",{class:!0});var yt=m(K);v(ye.$$.fragment,yt),An=o(yt),ht=n(yt,"P",{"data-svelte-h":!0}),l(ht)!=="svelte-r4v2i2"&&(ht.textContent=zr),Sn=o(yt),gt=n(yt,"P",{"data-svelte-h":!0}),l(gt)!=="svelte-10g7eg5"&&(gt.innerHTML=yr),yt.forEach(p),Gn=o(c),Q=n(c,"DIV",{class:!0});var qt=m(Q);v(qe.$$.fragment,qt),jn=o(qt),ut=n(qt,"P",{"data-svelte-h":!0}),l(ut)!=="svelte-o5vws2"&&(ut.innerHTML=qr),Nn=o(qt),ft=n(qt,"P",{"data-svelte-h":!0}),l(ft)!=="svelte-1pqeob"&&(ft.innerHTML=Dr),qt.forEach(p),Wn=o(c),ae=n(c,"DIV",{class:!0});var At=m(ae);v(De.$$.fragment,At),On=o(At),mt=n(At,"P",{"data-svelte-h":!0}),l(mt)!=="svelte-ftg3o5"&&(mt.textContent=Pr),At.forEach(p),Rn=o(c),de=n(c,"DIV",{class:!0});var St=m(de);v(Pe.$$.fragment,St),Fn=o(St),$t=n(St,"P",{"data-svelte-h":!0}),l($t)!=="svelte-17aw0gq"&&($t.textContent=Lr),St.forEach(p),c.forEach(p),this.h()},h(){u(h,"id","tokenizers.Encoding"),u(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(h,"href","#tokenizers.Encoding"),u(s,"class","relative group"),u(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(a,S){P(a,s,S),e(s,h),e(h,i),_(g,i,null),e(s,b),e(s,z),P(a,L,S),P(a,d,S),_(q,d,null),e(d,Le),e(d,V),e(d,ee),e(d,E),_(M,E,null),e(E,f),e(E,C),e(E,Me),e(E,Y),e(d,Gt),e(d,j),_(pe,j,null),e(j,jt),e(j,Ie),e(j,Nt),e(j,He),e(d,Wt),e(d,te),_(he,te,null),e(te,Ot),e(te,Ve),e(d,Rt),e(d,N),_(ge,N,null),e(N,Ft),e(N,Ae),e(N,Jt),e(N,Se),e(d,Ut),e(d,I),_(ue,I,null),e(I,Bt),e(I,Ge),e(I,Kt),e(I,je),e(I,Qt),e(I,Ne),e(d,Xt),e(d,W),_(fe,W,null),e(W,Yt),e(W,We),e(W,Zt),e(W,Oe),e(d,en),e(d,O),_(me,O,null),e(O,tn),e(O,Re),e(O,nn),e(O,Fe),e(d,rn),e(d,R),_($e,R,null),e(R,on),e(R,Je),e(R,sn),e(R,Ue),e(d,an),e(d,F),_(ve,F,null),e(F,dn),e(F,Be),e(F,cn),e(F,Ke),e(d,ln),e(d,H),_(_e,H,null),e(H,pn),e(H,Qe),e(H,hn),e(H,Xe),e(H,gn),e(H,Ye),e(d,un),e(d,D),_(xe,D,null),e(D,fn),e(D,Ze),e(D,mn),_(ne,D,null),e(D,$n),e(D,et),e(D,vn),e(D,tt),e(d,_n),e(d,re),_(ke,re,null),e(re,xn),e(re,nt),e(d,kn),e(d,oe),_(we,oe,null),e(oe,wn),e(oe,rt),e(d,Tn),e(d,se),_(Te,se,null),e(se,bn),e(se,ot),e(d,Cn),e(d,ie),_(be,ie,null),e(ie,En),e(ie,st),e(d,zn),e(d,J),_(Ce,J,null),e(J,yn),e(J,it),e(J,qn),e(J,at),e(d,Dn),e(d,U),_(Ee,U,null),e(U,Pn),e(U,dt),e(U,Ln),e(U,ct),e(d,Mn),e(d,B),_(ze,B,null),e(B,In),e(B,lt),e(B,Hn),e(B,pt),e(d,Vn),e(d,K),_(ye,K,null),e(K,An),e(K,ht),e(K,Sn),e(K,gt),e(d,Gn),e(d,Q),_(qe,Q,null),e(Q,jn),e(Q,ut),e(Q,Nn),e(Q,ft),e(d,Wn),e(d,ae),_(De,ae,null),e(ae,On),e(ae,mt),e(d,Rn),e(d,de),_(Pe,de,null),e(de,Fn),e(de,$t),Pt=!0},p(a,S){const Dt={};S&2&&(Dt.$$scope={dirty:S,ctx:a}),ne.$set(Dt)},i(a){Pt||(x(g.$$.fragment,a),x(q.$$.fragment,a),x(M.$$.fragment,a),x(pe.$$.fragment,a),x(he.$$.fragment,a),x(ge.$$.fragment,a),x(ue.$$.fragment,a),x(fe.$$.fragment,a),x(me.$$.fragment,a),x($e.$$.fragment,a),x(ve.$$.fragment,a),x(_e.$$.fragment,a),x(xe.$$.fragment,a),x(ne.$$.fragment,a),x(ke.$$.fragment,a),x(we.$$.fragment,a),x(Te.$$.fragment,a),x(be.$$.fragment,a),x(Ce.$$.fragment,a),x(Ee.$$.fragment,a),x(ze.$$.fragment,a),x(ye.$$.fragment,a),x(qe.$$.fragment,a),x(De.$$.fragment,a),x(Pe.$$.fragment,a),Pt=!0)},o(a){k(g.$$.fragment,a),k(q.$$.fragment,a),k(M.$$.fragment,a),k(pe.$$.fragment,a),k(he.$$.fragment,a),k(ge.$$.fragment,a),k(ue.$$.fragment,a),k(fe.$$.fragment,a),k(me.$$.fragment,a),k($e.$$.fragment,a),k(ve.$$.fragment,a),k(_e.$$.fragment,a),k(xe.$$.fragment,a),k(ne.$$.fragment,a),k(ke.$$.fragment,a),k(we.$$.fragment,a),k(Te.$$.fragment,a),k(be.$$.fragment,a),k(Ce.$$.fragment,a),k(Ee.$$.fragment,a),k(ze.$$.fragment,a),k(ye.$$.fragment,a),k(qe.$$.fragment,a),k(De.$$.fragment,a),k(Pe.$$.fragment,a),Pt=!1},d(a){a&&(p(s),p(L),p(d)),w(g),w(q),w(M),w(pe),w(he),w(ge),w(ue),w(fe),w(me),w($e),w(ve),w(_e),w(xe),w(ne),w(ke),w(we),w(Te),w(be),w(Ce),w(Ee),w(ze),w(ye),w(qe),w(De),w(Pe)}}}function Rr(y){let s,h;return s=new Un({props:{$$slots:{default:[Or]},$$scope:{ctx:y}}}),{c(){$(s.$$.fragment)},l(i){v(s.$$.fragment,i)},m(i,g){_(s,i,g),h=!0},p(i,g){const b={};g&2&&(b.$$scope={dirty:g,ctx:i}),s.$set(b)},i(i){h||(x(s.$$.fragment,i),h=!0)},o(i){k(s.$$.fragment,i),h=!1},d(i){w(s,i)}}}function Fr(y){let s,h='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){s=t("p"),s.innerHTML=h},l(i){s=n(i,"P",{"data-svelte-h":!0}),l(s)!=="svelte-4ytcyb"&&(s.innerHTML=h)},m(i,g){P(i,s,g)},p:Jn,d(i){i&&p(s)}}}function Jr(y){let s,h;return s=new Un({props:{$$slots:{default:[Fr]},$$scope:{ctx:y}}}),{c(){$(s.$$.fragment)},l(i){v(s.$$.fragment,i)},m(i,g){_(s,i,g),h=!0},p(i,g){const b={};g&2&&(b.$$scope={dirty:g,ctx:i}),s.$set(b)},i(i){h||(x(s.$$.fragment,i),h=!0)},o(i){k(s.$$.fragment,i),h=!1},d(i){w(s,i)}}}function Ur(y){let s,h="The node API has not been documented yet.";return{c(){s=t("p"),s.textContent=h},l(i){s=n(i,"P",{"data-svelte-h":!0}),l(s)!=="svelte-1mrchm6"&&(s.textContent=h)},m(i,g){P(i,s,g)},p:Jn,d(i){i&&p(s)}}}function Br(y){let s,h;return s=new Un({props:{$$slots:{default:[Ur]},$$scope:{ctx:y}}}),{c(){$(s.$$.fragment)},l(i){v(s.$$.fragment,i)},m(i,g){_(s,i,g),h=!0},p(i,g){const b={};g&2&&(b.$$scope={dirty:g,ctx:i}),s.$set(b)},i(i){h||(x(s.$$.fragment,i),h=!0)},o(i){k(s.$$.fragment,i),h=!1},d(i){w(s,i)}}}function Kr(y){let s,h,i,g,b,z,Z,L,d,q,Le="Encoding",V,A,ee,E,M;return L=new Ir({}),A=new Nr({props:{python:!0,rust:!0,node:!0,$$slots:{node:[Br],rust:[Jr],python:[Rr]},$$scope:{ctx:y}}}),{c(){s=t("meta"),h=r(),i=t("p"),g=r(),b=t("h1"),z=t("a"),Z=t("span"),$(L.$$.fragment),d=r(),q=t("span"),q.textContent=Le,V=r(),$(A.$$.fragment),ee=r(),E=t("p"),this.h()},l(f){const C=Gr("svelte-1phssyn",document.head);s=n(C,"META",{name:!0,content:!0}),C.forEach(p),h=o(f),i=n(f,"P",{}),m(i).forEach(p),g=o(f),b=n(f,"H1",{class:!0});var G=m(b);z=n(G,"A",{id:!0,class:!0,href:!0});var Me=m(z);Z=n(Me,"SPAN",{});var Y=m(Z);v(L.$$.fragment,Y),Y.forEach(p),Me.forEach(p),d=o(G),q=n(G,"SPAN",{"data-svelte-h":!0}),l(q)!=="svelte-g660ce"&&(q.textContent=Le),G.forEach(p),V=o(f),v(A.$$.fragment,f),ee=o(f),E=n(f,"P",{}),m(E).forEach(p),this.h()},h(){u(s,"name","hf:doc:metadata"),u(s,"content",JSON.stringify(Qr)),u(z,"id","encoding"),u(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(z,"href","#encoding"),u(b,"class","relative group")},m(f,C){e(document.head,s),P(f,h,C),P(f,i,C),P(f,g,C),P(f,b,C),e(b,z),e(z,Z),_(L,Z,null),e(b,d),e(b,q),P(f,V,C),_(A,f,C),P(f,ee,C),P(f,E,C),M=!0},p(f,[C]){const G={};C&2&&(G.$$scope={dirty:C,ctx:f}),A.$set(G)},i(f){M||(x(L.$$.fragment,f),x(A.$$.fragment,f),M=!0)},o(f){k(L.$$.fragment,f),k(A.$$.fragment,f),M=!1},d(f){f&&(p(h),p(i),p(g),p(b),p(V),p(ee),p(E)),p(s),w(L),w(A,f)}}}const Qr={local:"encoding",sections:[{local:"tokenizers.Encoding",title:"Encoding"}],title:"Encoding"};function Xr(y){return Vr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class oo extends Ar{constructor(s){super(),Sr(this,s,Xr,Kr,Hr,{})}}export{oo as component};
